v5.0

post

/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/lots/manufacturing-lots

Creates a manufacturing lot and its complete optional pooled allocation list.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : Manufacturing lot request
Type: object
Title: Manufacturing lot request
Creates or updates a manufacturing lot and its optional pooled allocations.
Show Source
Nested Schema : pooledLots
Type: array
Show Source
Nested Schema : PoolingLotRequestV5
Type: object
A depot, kit type, material, quantity, and country allocation for a manufacturing lot.
Show Source
Nested Schema : countries
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 2147483647
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : IDResponse v1.0
Type: object
Title: IDResponse v1.0
Response containing the identifier.
Show Source
Examples

400 Response

Invalid expiration date. OR Manufacturing Lot Number already exists or Lot short name (lotNumber) already exists.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}

403 Response

The study identifier does not match any study identifiers in Clinical One
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top